import { formContextKey, formItemContextKey } from '../constants.mjs';
import { inject } from 'vue';

function useForm() {
  const form = inject(formContextKey, void 0);
  const formItem = inject(formItemContextKey, void 0);
  return {
    form,
    formItem
  };
}

export { useForm };
//# sourceMappingURL=useForm.mjs.map
