import { defineComponent, computed } from 'vue';
import { motionProps } from './type.mjs';

var _sfc_main = defineComponent({
  name: "BcMotion",
  props: motionProps,
  setup(props) {
    const name = computed(() => {
      const classes = [props.type, props.direction].filter((item) => !!item).join("-");
      return `bc-motion-${classes}`;
    });
    return {
      name
    };
  }
});

export { _sfc_main as default };
//# sourceMappingURL=CssMotion.vue_vue_type_script_lang.mjs.map
