import type { SelectOption, SelectOptions } from './type';
declare const _default: import("vue").DefineComponent<{
    arrayName: {
        type: StringConstructor;
        default: undefined;
    };
    group: BooleanConstructor;
    defaultValue: StringConstructor;
    immediate: {
        type: BooleanConstructor;
        default: boolean;
    };
    onlyDisplay: BooleanConstructor;
    optionKey: {
        type: StringConstructor;
        default: string;
    };
    width: (StringConstructor | NumberConstructor)[];
    modelValue: (ObjectConstructor | StringConstructor | NumberConstructor | ArrayConstructor)[];
    api: {
        type: import("vue").PropType<string | (() => Promise<import("../../type").ApiResponseType>)>;
        default: undefined;
    };
    options: {
        type: import("vue").PropType<SelectOptions>;
    };
    customLabel: {
        type: StringConstructor;
        default: string;
    };
    customValue: {
        type: StringConstructor;
        default: string;
    };
    itemDisabled: import("vue").PropType<(val: unknown) => boolean>;
}, {
    needGroup: import("vue").ComputedRef<boolean>;
    displayText: import("vue").ComputedRef<string>;
    selectOptions: import("vue").ComputedRef<SelectOptions>;
    selectWidth: import("vue").ComputedRef<string>;
    optionValue: import("vue").ComputedRef<string>;
    hasValue: (item: SelectOption) => string;
    getObject: (value: unknown) => object | null;
    getLabel: (val?: unknown) => any;
    getOptions: () => SelectOptions;
    emitLabel: (val: unknown) => void;
    emitValue: (val: unknown) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:modelValue" | "change" | "update:label" | "fetch")[], "update:modelValue" | "change" | "update:label" | "fetch", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    arrayName: {
        type: StringConstructor;
        default: undefined;
    };
    group: BooleanConstructor;
    defaultValue: StringConstructor;
    immediate: {
        type: BooleanConstructor;
        default: boolean;
    };
    onlyDisplay: BooleanConstructor;
    optionKey: {
        type: StringConstructor;
        default: string;
    };
    width: (StringConstructor | NumberConstructor)[];
    modelValue: (ObjectConstructor | StringConstructor | NumberConstructor | ArrayConstructor)[];
    api: {
        type: import("vue").PropType<string | (() => Promise<import("../../type").ApiResponseType>)>;
        default: undefined;
    };
    options: {
        type: import("vue").PropType<SelectOptions>;
    };
    customLabel: {
        type: StringConstructor;
        default: string;
    };
    customValue: {
        type: StringConstructor;
        default: string;
    };
    itemDisabled: import("vue").PropType<(val: unknown) => boolean>;
}>> & {
    onChange?: ((...args: any[]) => any) | undefined;
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    "onUpdate:label"?: ((...args: any[]) => any) | undefined;
    onFetch?: ((...args: any[]) => any) | undefined;
}, {
    onlyDisplay: boolean;
    arrayName: string;
    group: boolean;
    immediate: boolean;
    optionKey: string;
    api: string | (() => Promise<import("../../type").ApiResponseType>);
    customLabel: string;
    customValue: string;
}, {}>;
export default _default;
