import { defineComponent, computed } from 'vue';

var _sfc_main = defineComponent({
  name: "BcStatus",
  props: {
    type: {
      type: String,
      default: "primary"
    }
  },
  setup(props) {
    const iconClass = computed(() => {
      return `bc-status--${props.type}`;
    });
    return {
      iconClass
    };
  }
});

export { _sfc_main as default };
//# sourceMappingURL=index.vue_vue_type_script_lang.mjs.map
