import { defineComponent } from 'vue';
import { ElPagination } from 'element-plus';

var _sfc_main = defineComponent({
  name: "BcTablePagination",
  components: {
    ElPagination
  },
  inheritAttrs: false,
  props: {
    pageSizes: {
      type: Array,
      default: () => [5, 10, 20, 50]
    },
    layout: {
      type: String,
      default: "total, prev, pager, next, sizes, jumper"
    },
    background: {
      type: Boolean,
      default: true
    }
  }
});

export { _sfc_main as default };
//# sourceMappingURL=pagination.vue_vue_type_script_lang.mjs.map
