export { copyText, extractObject, getValue, setValue, toCamel } from './tools.mjs';
export { renderUnit } from './renderUnit.mjs';

function compInstall(comp) {
  comp.install = (app) => {
    const _comp = comp;
    app.component(_comp.name, _comp);
  };
  return comp;
}
function fnInstall(fn) {
  fn.install = (app) => {
    fn._context = app._context;
  };
  return fn;
}
function logWarn(msg) {
  if (process.env.NODE_ENV !== "production") {
    console.warn(msg);
  }
}

export { compInstall, fnInstall, logWarn };
//# sourceMappingURL=index.mjs.map
