'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
var type = require('./type.js');
require('../../../hooks/index.js');
var useConfigInject = require('../../../hooks/useConfigInject.js');

var ConfigProvider = vue.defineComponent({
  name: "BcConfigProvider",
  props: type.configProviderProps,
  setup(props, {
    slots
  }) {
    const configProvider = vue.reactive({
      ...props
    });
    useConfigInject.provideGlobalConfig(configProvider);
    return () => {
      var _a;
      return (_a = slots.default) == null ? void 0 : _a.call(slots);
    };
  }
});

exports["default"] = ConfigProvider;
//# sourceMappingURL=configProvider.js.map
