'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var form = require('./src/form2.js');
var formItem = require('./src/formItem2.js');
var index = require('../../utils/index.js');
var constants = require('./src/constants.js');
require('./src/hooks/index.js');
var useForm = require('./src/hooks/useForm.js');

const _Form = index.compInstall(form["default"]);
const _FormItem = index.compInstall(formItem["default"]);
const BcForm = _Form;
const BcFormItem = _FormItem;

exports.formContextKey = constants.formContextKey;
exports.formItemContextKey = constants.formItemContextKey;
exports.useForm = useForm.useForm;
exports.BcForm = BcForm;
exports.BcFormItem = BcFormItem;
exports["default"] = _Form;
//# sourceMappingURL=index.js.map
