'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
var type = require('./type.js');

var _sfc_main = vue.defineComponent({
  name: "BcMotion",
  props: type.motionProps,
  setup(props) {
    const name = vue.computed(() => {
      const classes = [props.type, props.direction].filter((item) => !!item).join("-");
      return `bc-motion-${classes}`;
    });
    return {
      name
    };
  }
});

exports["default"] = _sfc_main;
//# sourceMappingURL=CssMotion.vue_vue_type_script_lang.js.map
