'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const selectProps = {
  arrayName: {
    type: String,
    default: void 0
  },
  group: Boolean,
  defaultValue: String,
  immediate: {
    type: Boolean,
    default: true
  },
  onlyDisplay: Boolean,
  optionKey: {
    type: String,
    default: "value"
  },
  width: [String, Number],
  modelValue: [String, Array, Object, Number],
  api: {
    type: [Function, String],
    default: void 0
  },
  options: {
    type: Array
  },
  customLabel: {
    type: String,
    default: "label"
  },
  customValue: {
    type: String,
    default: "value"
  },
  itemDisabled: Function
};

exports.selectProps = selectProps;
//# sourceMappingURL=type.js.map
