'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');

var _sfc_main = vue.defineComponent({
  name: "BcStatus",
  props: {
    type: {
      type: String,
      default: "primary"
    }
  },
  setup(props) {
    const iconClass = vue.computed(() => {
      return `bc-status--${props.type}`;
    });
    return {
      iconClass
    };
  }
});

exports["default"] = _sfc_main;
//# sourceMappingURL=index.vue_vue_type_script_lang.js.map
