import type { RowType } from './customTable';
import type { ComputedRef, Ref } from 'vue';
export declare function useSelection(rowSelectionRef: Ref<any>, configRef: {
    getRowKey: (row: Record<string, any>) => string;
    pageData: ComputedRef<Record<string, any>[]>;
    getRecordByKey: (key: string) => Record<string, any>;
}): [(data: RowType, config: Record<string, any>) => JSX.Element, () => JSX.Element | null];
