export * from '@sepveneto/basic-comp/es/components';
export * from '@sepveneto/basic-comp/es/utils';
export * from '@sepveneto/basic-comp/es/hooks';
export declare const install: (app: import("vue").App<any>, options: Partial<import("vue").ExtractPropTypes<{
    pagination: {
        type: import("vue").PropType<import("@sepveneto/basic-comp/es/components").ConfigProviderPaginationProps>;
    };
    table: {
        type: import("vue").PropType<import("@sepveneto/basic-comp/es/components").ConfigProviderTableProps>;
    };
    search: {
        type: import("vue").PropType<import("@sepveneto/basic-comp/es/components").ConfigProviderSearchProps>;
    };
    select: {
        type: import("vue").PropType<import("@sepveneto/basic-comp/es/components").ConfigProviderSelectProps>;
    };
    response: {
        type: import("vue").PropType<{
            code?: string | undefined;
            msg?: string | undefined;
            data?: string | undefined;
        }>;
    };
    datePicker: {
        type: import("vue").PropType<import("@sepveneto/basic-comp/es/components").ConfigProviderDatePicker>;
        default: () => import("@sepveneto/basic-comp/es/components").ConfigProviderDatePicker;
    };
}>>) => void;
declare const _default: {
    install: (app: import("vue").App<any>, options: Partial<import("vue").ExtractPropTypes<{
        pagination: {
            type: import("vue").PropType<import("@sepveneto/basic-comp/es/components").ConfigProviderPaginationProps>;
        };
        table: {
            type: import("vue").PropType<import("@sepveneto/basic-comp/es/components").ConfigProviderTableProps>;
        };
        search: {
            type: import("vue").PropType<import("@sepveneto/basic-comp/es/components").ConfigProviderSearchProps>;
        };
        select: {
            type: import("vue").PropType<import("@sepveneto/basic-comp/es/components").ConfigProviderSelectProps>;
        };
        response: {
            type: import("vue").PropType<{
                code?: string | undefined;
                msg?: string | undefined;
                data?: string | undefined;
            }>;
        };
        datePicker: {
            type: import("vue").PropType<import("@sepveneto/basic-comp/es/components").ConfigProviderDatePicker>;
            default: () => import("@sepveneto/basic-comp/es/components").ConfigProviderDatePicker;
        };
    }>>) => void;
};
export default _default;
