import { defineComponent, reactive } from 'vue';
import { configProviderProps } from './type.mjs';
import '../../../hooks/index.mjs';
import { provideGlobalConfig } from '../../../hooks/useConfigInject.mjs';

var ConfigProvider = defineComponent({
  name: "BcConfigProvider",
  props: configProviderProps,
  setup(props, {
    slots
  }) {
    const configProvider = reactive({
      ...props
    });
    provideGlobalConfig(configProvider);
    return () => {
      var _a;
      return (_a = slots.default) == null ? void 0 : _a.call(slots);
    };
  }
});

export { ConfigProvider as default };
//# sourceMappingURL=configProvider.mjs.map
