import { defineComponent, openBlock, createBlock, unref, normalizeProps, guardReactiveProps, withCtx, renderSlot } from 'vue';
import { ElForm } from 'element-plus';

var _sfc_main = /* @__PURE__ */ defineComponent({
  ...{
    name: "BcForm"
  },
  __name: "form",
  setup(__props) {
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ElForm), normalizeProps(guardReactiveProps(_ctx.$attrs)), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16);
    };
  }
});

export { _sfc_main as default };
//# sourceMappingURL=form.vue_vue_type_script_setup_true_lang.mjs.map
