import _sfc_main from './svgIcon.vue_vue_type_script_lang.mjs';
import { openBlock, createElementBlock, normalizeClass, normalizeStyle, renderSlot, createElementVNode, createCommentVNode, toDisplayString } from 'vue';
import _export_sfc from '../../_virtual/_plugin-vue_export-helper.mjs';

const _hoisted_1 = ["xlink:href"];
const _hoisted_2 = {
  key: 2,
  class: "placeholder"
};
const _hoisted_3 = {
  key: 3,
  class: "svg-badge"
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock(
    "span",
    {
      class: normalizeClass(["svg-container", [{ "is-disabled": _ctx.disabled }]]),
      style: normalizeStyle({ width: _ctx.width, height: _ctx.height })
    },
    [
      renderSlot(_ctx.$slots, "default"),
      !_ctx.isIconFont && _ctx.icon ? (openBlock(), createElementBlock(
        "svg",
        {
          key: 0,
          class: normalizeClass(_ctx.svgClass),
          style: normalizeStyle({ width: _ctx.width, height: _ctx.height }),
          "aria-hidden": "true",
          onClick: _cache[0] || (_cache[0] = ($event) => _ctx.$emit("click", $event))
        },
        [
          createElementVNode("use", { "xlink:href": _ctx.iconName }, null, 8, _hoisted_1)
        ],
        6
        /* CLASS, STYLE */
      )) : _ctx.isIconFont && _ctx.icon ? (openBlock(), createElementBlock(
        "i",
        {
          key: 1,
          class: normalizeClass(_ctx.icon),
          "aria-hidden": "true",
          onClick: _cache[1] || (_cache[1] = ($event) => _ctx.$emit("click", $event))
        },
        null,
        2
        /* CLASS */
      )) : createCommentVNode("v-if", true),
      !_ctx.icon ? (openBlock(), createElementBlock("span", _hoisted_2)) : createCommentVNode("v-if", true),
      _ctx.badge ? (openBlock(), createElementBlock(
        "div",
        _hoisted_3,
        toDisplayString(_ctx.badge),
        1
        /* TEXT */
      )) : createCommentVNode("v-if", true)
    ],
    6
    /* CLASS, STYLE */
  );
}
var SvgIcon = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "/home/runner/work/basic-comp/basic-comp/packages/components/svgIcon/svgIcon.vue"]]);

export { SvgIcon as default };
//# sourceMappingURL=svgIcon.mjs.map
