import components from './component.mjs';
import './hooks/index.mjs';
import { provideGlobalConfig } from './hooks/useConfigInject.mjs';

const installer = function() {
  const install = (app, options) => {
    components.forEach((item) => {
      app.use(item);
    });
    if (options)
      provideGlobalConfig(options, app);
  };
  return {
    install
  };
};
var installer$1 = installer();

export { installer$1 as default };
//# sourceMappingURL=install.mjs.map
