'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var index$2 = require('./components/button/index.js');
var index$3 = require('./components/input/index.js');
var index$4 = require('./components/table/index.js');
var index$5 = require('./components/select/index.js');
var index$6 = require('./components/search/index.js');
var index$7 = require('./components/dialog/index.js');
var index$8 = require('./components/upload/index.js');
var index$9 = require('./components/clipboard/index.js');
var index$a = require('./components/motion/index.js');
var index$b = require('./components/motionGroup/index.js');
var index$c = require('./components/svgIcon/index.js');
var index$d = require('./components/configProvider/index.js');
var index$1 = require('./components/status/index.js');
var index$e = require('./components/date-picker/index.js');
var index = require('./components/form/index.js');

var components = [
  index.BcForm,
  index.BcFormItem,
  index$1.BcStatus,
  index$2.BcButton,
  index$3.BcInput,
  index$4.BcTable,
  index$5.BcSelect,
  index$6.BcSearch,
  index$7.BcDialog,
  index$8.BcUpload,
  index$9.BcClipboard,
  index$a.BcMotion,
  index$b.BcMotionGroup,
  index$c.BcSvgIcon,
  index$d.BcConfigProvider,
  index$e.BcDatePicker,
  index$7.createDialog
];

exports["default"] = components;
//# sourceMappingURL=component.js.map
