import type { RenderInputConfigType } from './type';
declare const _default: import("vue").DefineComponent<{
    pageName: {
        type: StringConstructor;
        default: string;
    };
    defaultValue: {
        type: ObjectConstructor;
        default: () => {};
    };
    nameMode: {
        type: import("vue").PropType<import("./type").NameMode>;
        default: string;
    };
    create: BooleanConstructor;
    config: {
        type: import("vue").PropType<RenderInputConfigType[]>;
        default: () => never[];
    };
    modelValue: {
        type: ObjectConstructor;
        required: boolean;
    };
    search: import("vue").PropType<(event?: MouseEvent | undefined) => void>;
    import: BooleanConstructor;
    export: {
        type: BooleanConstructor;
        default: boolean;
    };
    advance: BooleanConstructor;
    fields: {
        type: ArrayConstructor;
        default: () => never[];
    };
    upload: ObjectConstructor;
    layout: {
        type: import("vue").PropType<import("./type").SearchOperate[]>;
        default: () => string[];
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:modelValue" | "create" | "reset" | "export")[], "update:modelValue" | "create" | "reset" | "export", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    pageName: {
        type: StringConstructor;
        default: string;
    };
    defaultValue: {
        type: ObjectConstructor;
        default: () => {};
    };
    nameMode: {
        type: import("vue").PropType<import("./type").NameMode>;
        default: string;
    };
    create: BooleanConstructor;
    config: {
        type: import("vue").PropType<RenderInputConfigType[]>;
        default: () => never[];
    };
    modelValue: {
        type: ObjectConstructor;
        required: boolean;
    };
    search: import("vue").PropType<(event?: MouseEvent | undefined) => void>;
    import: BooleanConstructor;
    export: {
        type: BooleanConstructor;
        default: boolean;
    };
    advance: BooleanConstructor;
    fields: {
        type: ArrayConstructor;
        default: () => never[];
    };
    upload: ObjectConstructor;
    layout: {
        type: import("vue").PropType<import("./type").SearchOperate[]>;
        default: () => string[];
    };
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    onCreate?: ((...args: any[]) => any) | undefined;
    onReset?: ((...args: any[]) => any) | undefined;
    onExport?: ((...args: any[]) => any) | undefined;
}, {
    create: boolean;
    defaultValue: Record<string, any>;
    nameMode: import("./type").NameMode;
    export: boolean;
    advance: boolean;
    fields: unknown[];
    pageName: string;
    config: RenderInputConfigType[];
    import: boolean;
    layout: import("./type").SearchOperate[];
}, {}>;
export default _default;
