'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const searchProps = {
  pageName: {
    type: String,
    default: "page"
  },
  defaultValue: {
    type: Object,
    default: () => ({})
  },
  nameMode: {
    type: String,
    default: "placeholder"
  },
  create: Boolean,
  config: {
    type: Array,
    default: () => []
  },
  modelValue: {
    type: Object,
    required: true
  },
  search: Function,
  import: Boolean,
  export: {
    type: Boolean,
    default: true
  },
  advance: Boolean,
  fields: {
    type: Array,
    default: () => []
  },
  upload: Object,
  layout: {
    type: Array,
    default: () => ["create", "search", "reset", "upload", "export"]
  }
};

exports.searchProps = searchProps;
//# sourceMappingURL=type.js.map
