'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
var elementPlus = require('element-plus');

var _sfc_main = vue.defineComponent({
  name: "BcTablePagination",
  components: {
    ElPagination: elementPlus.ElPagination
  },
  inheritAttrs: false,
  props: {
    pageSizes: {
      type: Array,
      default: () => [5, 10, 20, 50]
    },
    layout: {
      type: String,
      default: "total, prev, pager, next, sizes, jumper"
    },
    background: {
      type: Boolean,
      default: true
    }
  }
});

exports["default"] = _sfc_main;
//# sourceMappingURL=pagination.vue_vue_type_script_lang.js.map
