import type { App, Ref } from 'vue';
import type { ConfigProviderProps } from '@sepveneto/basic-comp/es/components/configProvider';
export declare function useConfigInject<N extends keyof ConfigProviderProps, D extends ConfigProviderProps[N]>(name: N, defaultValue?: D): Ref<Exclude<ConfigProviderProps[N], undefined> | D>;
export declare function useConfigInject(): Ref<ConfigProviderProps>;
export declare const provideGlobalConfig: (config: ConfigProviderProps, app?: App, global?: boolean) => import("vue").ComputedRef<Record<string, any> | undefined> | undefined;
