'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var component = require('./component.js');
require('./hooks/index.js');
var useConfigInject = require('./hooks/useConfigInject.js');

const installer = function() {
  const install = (app, options) => {
    component["default"].forEach((item) => {
      app.use(item);
    });
    if (options)
      useConfigInject.provideGlobalConfig(options, app);
  };
  return {
    install
  };
};
var installer$1 = installer();

exports["default"] = installer$1;
//# sourceMappingURL=install.js.map
