import type { AppContext, Plugin } from 'vue';
export * from './tools';
export * from './renderUnit';
export type CompInstall<T> = T & Plugin;
export type CompInstallWithContext<T> = CompInstall<T> & {
    _context: AppContext | null;
};
export type ExtractProps<T extends abstract new (...args: any) => any> = InstanceType<T>['$props'];
export declare function compInstall<T>(comp: T): CompInstall<T>;
export declare function fnInstall<T>(fn: T): T;
export declare function logWarn(msg: string): void;
