import type { SetupContext, Slot, VNode } from 'vue';
import type { NameMode, RenderInputConfigType } from '@sepveneto/basic-comp/es/components/search';
export type RenderContextType = {
    nameMode: NameMode;
    handleSearch?: () => void;
    updateData?: (key: string, val: string | string[]) => void;
    context: SetupContext;
} | null;
export declare const renderUnit: (h: unknown, value: Record<string, unknown>, config: RenderInputConfigType, context: RenderContextType) => VNode | Slot | undefined;
